get

GET /v2/invoices — List invoices

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns a paginated list of invoices for the authenticated affiliate.

Required role

affiliate_super_admin, affiliate_admin, or affiliate_agent

Query parameters

ParameterTypeDescription
statusstringFilter by invoice status — see status values below
billingPeriodstringFilter to a single billing period
startDatedateOnly invoices issued on/after this date
endDatedateOnly invoices issued on/before this date
pagenumberPage number
limitnumberPage size

Response 200

{
  "count": 1,
  "page": 1,
  "limit": 20,
  "defaultPaymentMethod": {
    "paymentMethodId": "pm_...",
    "brand": "visa",
    "last4": "4242"
  },
  "data": [
    {
      "id": "inv::abc123",
      "billingPeriod": {
        "id": "bp::abc123",
        "periodStartAt": "2026-06-01T00:00:00.000Z",
        "periodEndAt": "2026-06-30T00:00:00.000Z"
      },
      "status": "finalized",
      "issueDate": "2026-06-01T00:00:00.000Z",
      "dueDate": "2026-06-30T00:00:00.000Z",
      "subtotalCents": 15000,
      "subtotalDollars": 150.00,
      "totalCents": 15000,
      "totalDollars": 150.00,
      "externalInvoiceLink": null,
      "chargeFailureReason": null,
      "lineItems": [
        {
          "id": "li::abc123",
          "lineType": "usage",
          "category": "subscription",
          "code": "sub_fee",
          "description": "Monthly subscription fee",
          "project": null,
          "pharmacy": null,
          "quantity": 1,
          "unitPriceCents": 15000,
          "amountCents": 15000,
          "metadata": {}
        }
      ],
      "createdAt": "2026-05-30T14:00:00.000Z",
      "updatedAt": "2026-05-30T14:00:00.000Z"
    }
  ]
}

There is no totalAmount or currency field — amounts are totalCents/totalDollars (and subtotalCents/subtotalDollars). All amounts are USD; there is no multi-currency support yet. The response also always includes a top-level defaultPaymentMethod (null if none is on file).

Invoice status values

draft, finalized, processing, paid, overdue, failed, void. There is no pending status.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!